Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedCharacterChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedCharacterChannelAdapter

All Implemented Interfaces:
  IChannel, ICharacterChannel

Direct Known Subclasses:
  MultithreadedCacheableCharacterChannelAdapter, MultithreadedMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedCharacterChannelAdapter

    public class MultithreadedCharacterChannelAdapter

extends java.lang.Object
implements ICharacterChannel

Internal adaptor class that presents `IMultithreadedCharacterChannel` as a simple `IChannel`

Version:
  $Revision: 1.4 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com, Nick Bolton
See Also:
  `IMultithreadedCharacterChannel`

Field Summary
`(package private) IMultithreadedCharacterChannel` | `channel`
`(package private) java.lang.String` | `uid`

Constructor Summary
`MultithreadedCharacterChannelAdapter(IMultithreadedCharacterChannel channel, java.lang.String uid)`

Method Summary
`ChannelRuntimeProperties` | `getRuntimeProperties()` Acquires ChannelRuntimeProperties from the channel.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderCharacters(java.io.PrintWriter pw)` Asks the channel to render its content as characters.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uid

    final java.lang.String uid

### channel

    final IMultithreadedCharacterChannel channel

Constructor Detail

### MultithreadedCharacterChannelAdapter

    public MultithreadedCharacterChannelAdapter(IMultithreadedCharacterChannel channel,
                                                java.lang.String uid)

Method Detail

### setStaticData

    public void setStaticData(ChannelStaticData sd)
                       throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sd` - channel static data
  Throws:
    `PortalException`
  See Also:
    `ChannelStaticData`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Description copied from interface: `IChannel`
  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  See Also:
    `ChannelRuntimeProperties`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### renderCharacters

    public void renderCharacters(java.io.PrintWriter pw)
                          throws PortalException

  Description copied from interface: `ICharacterChannel`
  Asks the channel to render its content as characters. The method has the same call precedence as the IChannel.renderXML() method. (i.e. if the channel also supports ICacheable, portal will try to find a cache entry prior calling this method)

  Specified by:
    `renderCharacters` in interface `ICharacterChannel`
  Parameters:
    `pw` - a `PrintWriter` value into which the character output should be directed
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD